<?xml version="1.0" encoding="utf-8"?>
<!--
**
** Copyright 2009, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License")
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->
<device name="Android">
  <!-- All values are in mA except as noted -->
  <item name="none">0</item>
  <item name="screen.on">96</item> <!-- min brite -->
  <item name="bluetooth.active">97</item>
  <item name="bluetooth.on">0.6</item>
  <item name="bluetooth.at">0.6</item> <!-- TBD -->
  <item name="screen.full">365</item> <!-- backlight 16 leds -->
  <item name="wifi.on">0.6</item>
  <item name="wifi.active">139</item>
  <item name="wifi.scan">146</item>
  <item name="dsp.audio">43</item> <!-- k3v5 -->
  <item name="dsp.video">176</item>
  <item name="radio.active">190</item>
  <item name="gps.on">70</item>
  <item name="battery.capacity">4000</item> <!-- YAL-ZX -->
  <item name="radio.scanning">65</item> <!-- TBD -->
  <!-- Current consumed by the radio at different signal strengths, when paging  -->
  <array name="radio.on"> <!-- 1 entry per signal strength bin, TBD -->
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
    <value>5.0</value>
  </array>
  <array name="cpu.speeds">
    <value>826000</value>
    <value>830000</value>
    <value>903000</value>
    <value>980000</value>
    <value>1018000</value>
    <value>1056000</value>
    <value>1114000</value>
    <value>1152000</value>
    <value>1210000</value>
    <value>1248000</value>
    <value>1306000</value>
    <value>1325000</value>
    <value>1402000</value>
    <value>1421000</value>
    <value>1460000</value>
    <value>1517000</value>
    <value>1594000</value>
    <value>1613000</value>
    <value>1671000</value>
    <value>1709000</value>
    <value>1767000</value>
    <value>1805000</value>
    <value>1863000</value>
    <value>1901000</value>
    <value>1959000</value>
    <value>2036000</value>
    <value>2112000</value>
    <value>2208000</value>
    <value>2304000</value>
    <value>2420000</value>
    <value>2496000</value>
    <value>2600000</value>
  </array>
  <!-- Power consumption in suspend -->
  <item name="cpu.idle">5</item> <!-- k3v5 -->
  <!-- Power consumption due to wake lock held -->
  <item name="cpu.awake">21</item> <!-- k3v5 -->
  <!-- Power consumption at different speeds -->
  <array name="cpu.active">
    <value>21</value>
    <value>15</value>
    <value>33</value>
    <value>23</value>
    <value>87</value>
    <value>29</value>
    <value>166</value>
    <value>41</value>
    <value>201</value>
    <value>56</value>
    <value>244</value>
    <value>71</value>
    <value>330</value>
    <value>79</value>
    <value>76</value>
    <value>91</value>
    <value>123</value>
    <value>99</value>
    <value>237</value>
    <value>113</value>
    <value>333</value>
    <value>128</value>
    <value>402</value>
    <value>652</value>
    <value>577</value>
    <value>701</value>
    <value>806</value>
    <value>868</value>
    <value>951</value>
    <value>1200</value>
    <value>1283</value>
    <value>1460</value>
  </array>
</device>
